CMSIS-FreeRTOS: Message Queue Functions

| CMSIS-FreeRTOS Version 10.5.1 CMSIS-RTOS2 compliant FreeRTOS Implementation

- Main Page
- Usage and Description
- Reference

All Functions Groups Pages
Functions
Message Queue Functions
Event functions

Events generated by message queue functions. More...

## Functions
void | EvrFreeRTOSQueue_QueueCreate (Queue_t pxQueue)
| Event on successful queue create (Op) More...
void | EvrFreeRTOSQueue_QueueCreateFailed (uint32_t ucQueueType)
| Event on unsuccessful queue create (Error) More...
void | EvrFreeRTOSQueue_CreateMutex (Queue_t pxNewQueue)
| Event on successful mutex create (Op) More...
void | EvrFreeRTOSQueue_CreateMutexFailed (void)
| Event on unsuccessful mutex create (Error) More...
void | EvrFreeRTOSQueue_GiveMutexRecursive (Queue_t pxMutex)
| Event on successful recursive mutex give (Op) More...
void | EvrFreeRTOSQueue_GiveMutexRecursiveFailed (Queue_t pxMutex)
| Event on unsuccessful recursive mutex give (Error) More...
void | EvrFreeRTOSQueue_TakeMutexRecursive (Queue_t pxMutex)
| Event on successful recursive mutex take (Op) More...
void | EvrFreeRTOSQueue_TakeMutexRecursiveFailed (Queue_t pxMutex)
| Event on unsuccessful recursive mutex take (Error) More...
void | EvrFreeRTOSQueue_CreateCountingSemaphore (Queue_t xHandle)
| Event on successful counting semaphore create (Op) More...
void | EvrFreeRTOSQueue_CreateCountingSemaphoreFailed (void)
| Event on unsuccessful counting semaphore create (Error) More...
void | EvrFreeRTOSQueue_QueueSend (Queue_t pxQueue)
| Event on queue write (Op) More...
void | EvrFreeRTOSQueue_QueueSendFailed (Queue_t pxQueue)
| Event on write to the full queue (Error) More...
void | EvrFreeRTOSQueue_QueueReceive (Queue_t pxQueue)
| Event on queue read (Op) More...
void | EvrFreeRTOSQueue_QueuePeek (Queue_t pxQueue)
| Event on queue peek (Op) More...
void | EvrFreeRTOSQueue_QueuePeekFromIsr (Queue_t pxQueue)
| Event on queue peek from ISR (Op) More...
void | EvrFreeRTOSQueue_QueueReceiveFailed (Queue_t pxQueue)
| Event on read from the empty queue (Error) More...
void | EvrFreeRTOSQueue_QueueSendFromIsr (Queue_t pxQueue)
| Event on write to the queue from ISR (Op) More...
void | EvrFreeRTOSQueue_QueueSendFromIsrFailed (Queue_t pxQueue)
| Event on write to the full queue from ISR (Error) More...
void | EvrFreeRTOSQueue_QueueReceiveFromIsr (Queue_t pxQueue)
| Event on queue read from ISR (Op) More...
void | EvrFreeRTOSQueue_QueueReceiveFromIsrFailed (Queue_t pxQueue)
| Event on empty queue read from ISR (Error) More...
void | EvrFreeRTOSQueue_QueuePeekFromIsrFailed (Queue_t pxQueue)
| Event on empty queue peek from ISR (Error) More...
void | EvrFreeRTOSQueue_QueueDelete (Queue_t pxQueue)
| Event on queue delete (Op) More...
void | EvrFreeRTOSQueue_QueueRegistryAdd (Queue_t pxQueue, const char *pcQueueName)
| Event on assignment of a human readable name to a queue (Op) More...
void | EvrFreeRTOSQueue_BlockingOnQueueReceive (Queue_t pxQueue)
| Event indicating the current running task is about to block while reading from an empty queue (Op) More...
void | EvrFreeRTOSQueue_BlockingOnQueueSend (Queue_t pxQueue)
| Event indicating the current running task is about to block while writting to a full queue (Op) More...

## Description

## Function Documentation

void EvrFreeRTOSQueue_BlockingOnQueueReceive | ( | Queue_t | pxQueue | ) |

Parameters

  [in] | pxQueue | pointer to queue object handle.

The event BlockingOnQueueReceive is generated when the currently executing task is about to block following an attempt to read from an empty queue, or an attempt to 'take' an empty semaphore or mutex.

Value in the Event Recorder shows:

- pxQueue : pointer to queue object handle (control block address).

void EvrFreeRTOSQueue_BlockingOnQueueSend | ( | Queue_t | pxQueue | ) |

Parameters

  [in] | pxQueue | pointer to queue object handle.

The event BlockingOnQueueSend is generated when the currently executing task is about to block following an attempt to write to a full queue.

Value in the Event Recorder shows:

- pxQueue : pointer to queue object handle (control block address).

void EvrFreeRTOSQueue_CreateCountingSemaphore | ( | Queue_t | xHandle | ) |

Parameters

  [in] | xHandle | pointer to semaphore object handle.

The event CreateCountingSemaphore is generated when counting semaphore object is successfully created.

Value in the Event Recorder shows:

- xHandle : pointer to semaphore (queue) object handle (control block address).

void EvrFreeRTOSQueue_CreateCountingSemaphoreFailed | ( | void |  | ) |

The event CreateCountingSemaphoreFailed is generated when semaphore object create fails due to insufficient heap memory.

void EvrFreeRTOSQueue_CreateMutex | ( | Queue_t | pxNewQueue | ) |

Parameters

  [in] | pxNewQueue | pointer to queue object handle.

The event CreateMutex is generated when mutex object is successfully created.

Value in the Event Recorder shows:

- pxNewQueue : pointer to mutex (queue) object handle (control block address).

void EvrFreeRTOSQueue_CreateMutexFailed | ( | void |  | ) |

The event CreateMutexFailed is generated when mutex object create fails due to insufficient heap memory.

void EvrFreeRTOSQueue_GiveMutexRecursive | ( | Queue_t | pxMutex | ) |

Parameters

  [in] | pxMutex | pointer to mutex object handle.

The event GiveMutexRecursive is generated when mutex give operation is successfully executed.

Value in the Event Recorder shows:

- pxMutex : pointer to mutex (queue) object handle (control block address).

void EvrFreeRTOSQueue_GiveMutexRecursiveFailed | ( | Queue_t | pxMutex | ) |

Parameters

  [in] | pxMutex | pointer to mutex object handle.

The event GiveMutexRecursiveFailed is generated when recursive mutex give operation was not successful.

Value in the Event Recorder shows:

- pxMutex : pointer to mutex (queue) object handle (control block address).

void EvrFreeRTOSQueue_QueueCreate | ( | Queue_t | pxQueue | ) |

Parameters

  [in] | pxQueue | pointer to mutex object handle.

The event QueueCreate is generated when queue object is successfully created.

Value in the Event Recorder shows:

- pxQueue : pointer to queue object handle (control block address).

void EvrFreeRTOSQueue_QueueCreateFailed | ( | uint32_t | ucQueueType | ) |

Parameters

  [in] | ucQueueType | queue type

The event QueueCreateFailed is generated when queue object create fails due to insufficient heap memory.

Value in the Event Recorder shows:

- ucQueueType : x

void EvrFreeRTOSQueue_QueueDelete | ( | Queue_t | pxQueue | ) |

Parameters

  [in] | pxQueue | pointer to queue object handle.

The event QueueDelete is generated when the function vQueueDelete is called.

Value in the Event Recorder shows:

- pxQueue : pointer to queue object handle (control block address).

void EvrFreeRTOSQueue_QueuePeek | ( | Queue_t | pxQueue | ) |

Parameters

  [in] | pxQueue | pointer to queue object handle.

The event QueuePeek is generated when the queue peek operation was successful.

Value in the Event Recorder shows:

- pxQueue : pointer to queue object handle (control block address).

void EvrFreeRTOSQueue_QueuePeekFromIsr | ( | Queue_t | pxQueue | ) |

Parameters

  [in] | pxQueue | pointer to queue object handle.

The event QueuePeekFromIsr is generated when the queue peek from ISR operation was successful.

Value in the Event Recorder shows:

- pxQueue : pointer to queue object handle (control block address).

void EvrFreeRTOSQueue_QueuePeekFromIsrFailed | ( | Queue_t | pxQueue | ) |

Parameters

  [in] | pxQueue | pointer to queue object handle.

The event QueuePeekFromIsrFailed is generated when queue peek operation is executed from an ISR and the queue is empty.

Value in the Event Recorder shows:

- pxQueue : pointer to queue object handle (control block address).

void EvrFreeRTOSQueue_QueueReceive | ( | Queue_t | pxQueue | ) |

Parameters

  [in] | pxQueue | pointer to queue object handle.

The event QueueReceive is generated when the queue receive operation was successful.

Value in the Event Recorder shows:

- pxQueue : pointer to queue object handle (control block address).

void EvrFreeRTOSQueue_QueueReceiveFailed | ( | Queue_t | pxQueue | ) |

Parameters

  [in] | pxQueue | pointer to queue object handle.

The event QueueReceiveFailed is generated when the queue receive operation failed because the queue was empty.

Value in the Event Recorder shows:

- pxQueue : pointer to queue object handle (control block address).

void EvrFreeRTOSQueue_QueueReceiveFromIsr | ( | Queue_t | pxQueue | ) |

Parameters

  [in] | pxQueue | pointer to queue object handle.

The event QueueReceiveFromIsr is generated when the queue receive from ISR operation was successful.

Value in the Event Recorder shows:

- pxQueue : pointer to queue object handle (control block address).

void EvrFreeRTOSQueue_QueueReceiveFromIsrFailed | ( | Queue_t | pxQueue | ) |

Parameters

  [in] | pxQueue | pointer to queue object handle.

The event QueueReceiveFromIsrFailed is generated when the queue receive operation fails due to the queue already being empty.

Value in the Event Recorder shows:

- pxQueue : pointer to queue object handle (control block address).

void EvrFreeRTOSQueue_QueueRegistryAdd | ( | Queue_t | pxQueue,
|  | const char * | pcQueueName
| ) |  |

Parameters

  [in] | pxQueue | pointer to queue object handle.
  [in] | pcQueueName | pointer to queue object name.

The event QueueRegistryAdd is generated when a human readable name is registered to the specified queue.

Value in the Event Recorder shows:

- pxQueue : pointer to queue object handle (control block address).
- pcQueueName : pointer to the ASCII string.

void EvrFreeRTOSQueue_QueueSend | ( | Queue_t | pxQueue | ) |

Parameters

  [in] | pxQueue | pointer to queue object handle.

The event QueueSend is generated when the queue send operation was successful.

Value in the Event Recorder shows:

- pxQueue : pointer to queue object handle (control block address).

void EvrFreeRTOSQueue_QueueSendFailed | ( | Queue_t | pxQueue | ) |

Parameters

  [in] | pxQueue | pointer to queue object handle.

The event QueueSendFailed is generated when the queue send operation fails due to the queue being full.

Value in the Event Recorder shows:

- pxQueue : pointer to queue object handle (control block address).

void EvrFreeRTOSQueue_QueueSendFromIsr | ( | Queue_t | pxQueue | ) |

Parameters

  [in] | pxQueue | pointer to queue object handle.

The event QueueSendFromIsr is generated when the queue send from ISR operation was successful.

Value in the Event Recorder shows:

- pxQueue : pointer to queue object handle (control block address).

void EvrFreeRTOSQueue_QueueSendFromIsrFailed | ( | Queue_t | pxQueue | ) |

Parameters

  [in] | pxQueue | pointer to queue object handle.

The event QueueSendFromIsrFailed is generated when the queue send operation fails due to the queue already being full.

Value in the Event Recorder shows:

- pxQueue : pointer to queue object handle (control block address).

void EvrFreeRTOSQueue_TakeMutexRecursive | ( | Queue_t | pxMutex | ) |

Parameters

  [in] | pxMutex | pointer to mutex object handle.

The event TakeMutexRecursive is generated when recursive mutex take operation is successfully executed.

Value in the Event Recorder shows:

- pxMutex : pointer to mutex (queue) object handle (control block address).

void EvrFreeRTOSQueue_TakeMutexRecursiveFailed | ( | Queue_t | pxMutex | ) |

Parameters

  [in] | pxMutex | pointer to mutex object handle.

The event TakeMutexRecursiveFailed is generated when recursive mutex take operation is not successful.

Value in the Event Recorder shows:

- pxMutex : pointer to mutex (queue) object handle (control block address).